0
Not a bug

Multiple Warnings on Import

Marc Busby 5 months ago in Game Creator updated by Marti (Lead Developer) 5 months ago 1

Created a fresh brand new project, running Unity 2019.3.10f1, import Game Creator, and get the following warnings (First one is easily fixable):

There are inconsistent line endings in the 'Assets/Plugins/GameCreator/Characters/Editor/CharacterAnimatorEditor.cs' script. Some are Mac OS X (UNIX) and some are Windows.
This might lead to incorrect line numbers in stacktraces and compiler errors. Many text editors can fix this using Convert Line Endings menu commands.

Assets\Plugins\GameCreator\Characters\Mono\Characters\Animations\Playables\PlayableStateCharacter.cs(47,17): warning CS0618: 'PlayableExtensions.SetDelay(U, double)' is obsolete: 'SetDelay is obsolete; use a custom ScriptPlayable to implement this feature'

Assets\Plugins\GameCreator\Characters\Mono\Characters\Animations\Playables\PlayableStateCharacter.cs(77,17): warning CS0618: 'PlayableExtensions.SetDelay(U, double)' is obsolete: 'SetDelay is obsolete; use a custom ScriptPlayable to implement this feature'

Assets\Plugins\GameCreator\Characters\Mono\Characters\Animations\Playables\PlayableStateCharacter.cs(107,17): warning CS0618: 'PlayableExtensions.SetDelay(U, double)' is obsolete: 'SetDelay is obsolete; use a custom ScriptPlayable to implement this feature'

Assets\Plugins\GameCreator\Characters\Mono\Characters\Animations\CharacterAnimation.cs(346,13): warning CS0618: 'PlayableOutputExtensions.SetSourceOutputPort(U, int)' is obsolete: 'Method SetSourceOutputPort has been deprecated. Use SetSourcePlayable(Playable, Port) instead.'

Component at index 3 could not be loaded when loading game object 'Camera'. Removing it!

Unity version:
2019.3.10f.1
Game Creator version:
1.1.6
Not a bug

Hi Marc;

This is a known issue that happens every time Unity releases a new version. We recommend sticking to the officially supported 2018.4 LTS, which is the one Unity recommends using for production projects.

Unity 2019.3 is still very unstable and we will not support it until 2019.4 LTS arrives, dropping support for 2018.4. 


Every new version introduces changes, but we can't create specific code for each version every time a method changes (sometimes multiple times for each Unity cycle).